Subject: maint: remove remnants of Gnulib's non-recursive-gnulib-prefix-hack

From: Collin Funk <[email-masked]>
Date: Sun, 09 Feb 2025 19:08:06 -0800

Hi Jim,

Following this recent change of yours:

> maint: adapt to gnulib module deprecations
>    
> * bootstrap.conf (gnulib_modules): Reflect renamings
> stdbool -> bool, realloc-gnu -> realloc-posix.
> Also, use --automake-subdir rather than the deprecated module,
> non-recursive-gnulib-prefix-hack.
> Sort the module names.

I see the following after running ./bootstrap:

    - invoke gl_INIT in ./configure.ac.
    ./bootstrap.conf: line 136: build-aux/prefix-gnulib-mk: No such file or directory
    running: AUTOPOINT=true LIBTOOLIZE=true autoreconf --verbose --install --force -I m4  --no-recursive

Since gnulib-tool --automake-subdir handles the prefix-gnulib-mk for us
now, the work can be removed from bootstrap.conf. Patch attached.

Collin

P.S. I'll send in the copyright forms for cppi since I think my previous
patch reached the ~10 line limit anyways.

>From a7d5b689d7ae326fb4a74aa0717cd2c9931e6a0b Mon Sep 17 00:00:00 2001
From: Collin Funk <[email-masked]>
Date: Sun, 9 Feb 2025 18:55:17 -0800
Subject: [PATCH] maint: remove remnants of Gnulib's
 non-recursive-gnulib-prefix-hack

* bootstrap.conf (bootstrap_post_import_hook): Remove unnecessary call
to prefix-gnulib-mk since gnulib-tool --automake-subdir handles it for
us.
---
 bootstrap.conf | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/bootstrap.conf b/bootstrap.conf
index 7c6ba93..5f4e09d 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -132,9 +132,6 @@ xz         -
 
 bootstrap_post_import_hook()
 {
-  # Massage lib/gnulib.mk before using it later in the bootstrapping process.
-  build-aux/prefix-gnulib-mk --lib-name=$gnulib_name lib/$gnulib_mk
-
   # Copy tests/init.sh from Gnulib.
   $gnulib_tool --copy-file tests/init.sh
 }
-- 
2.48.1